Endpoints for integrating Ason into your platform. API Reference also available as Swagger UI.
Query tenants
query Parameters
filterThe OData filter expression (with support for attribute fields)
orderByThe OData order-by expression (with support for attribute fields)
resultThe query result type: items, count or items with count (default: result items)
The query result type
selectThe OData field selection expression
skipThe number of items in the queried collection that are to be skipped
statusThe object status (default: all status)
The object status
topThe number of items in the queried collection
Headers
Content-TypeThe request content type
Query tenants › Responses
The tenants matching the query, their count, or both, depending on result.
countThe query result count
The query result items
Add a new tenant
Headers
Content-TypeThe request content type
Add a new tenant › Request Body
identifierThe unique identifier of the tenant (immutable)
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
cultureThe culture including the calendar
Custom attributes
Add a new tenant › Responses
The created tenant. When a user creates it, they become its owner.
identifierThe unique identifier of the tenant (immutable)
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
cultureThe culture including the calendar
Custom attributes
Get a tenant
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Get a tenant › Responses
The tenant.
identifierThe unique identifier of the tenant (immutable)
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
cultureThe culture including the calendar
Custom attributes
Update a tenant
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Update a tenant › Request Body
identifierThe unique identifier of the tenant (immutable)
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
cultureThe culture including the calendar
Custom attributes
Update a tenant › Responses
The updated tenant.
identifierThe unique identifier of the tenant (immutable)
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
cultureThe culture including the calendar
Custom attributes
